Python 3 support
Status: Closed Start date: 01/03/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.2   

Description

Subtasks:

Task # 2566: Move libraries out of package Closed

Task # 2567: Get tests to pass Closed

  Task # 2574: Fix reader.tests.TestPerseusBatchImporter Closed

  Task # 2575: Fix reader.tests.TestPerseusImport Closed

  Task # 2576: Fix reader.tests.TestPerseusImportLexicon Closed

  Task # 2577: Fix reader.tests.TestReaderUtils Closed

  Task # 2578: Fix reader.tests.TestShortcuts Closed

  Task # 2579: Fix reader.tests.TestUnboundBibleImport Closed

  Task # 2580: Fix reader.tests.TestViews Closed

  Task # 2581: Fix reader.tests.TestEpubExport Closed

  Task # 2582: Fix reader.tests.TestGreekLanguageTools Closed

  Task # 2584: Fix reader.tests.TestContentSearch Closed

    Task # 2590: Fix test_search_verse_beta_code_no_diacritics Closed

    Task # 2591: Fix test_search_verse_beta_code Closed

  Task # 2585: Fix reader.tests.TestDiogenesAnalysesImport Closed

  Task # 2586: Fix reader.tests.TestDivisionModel Closed

Task # 2568: Get tests to run Closed

Task # 2592: Get Docker to run via Python3 Closed

Task # 2593: Get app to run with Python 3 Closed

Associated revisions

Revision 1015 - 01/03/2020 10:21 PM - luke.murphey

Specifying Django 1.11 specifically since Python 3 uses 3.0 by default

Reference #2539

Revision 1026 - 01/03/2020 10:21 PM - luke.murphey

Specifying Django 1.11 specifically since Python 3 uses 3.0 by default

Reference #2539

Revision 1016 - 01/03/2020 10:28 PM - luke.murphey

Fixing print statements

Reference #2539

04/10/2024 1/2



Revision 1027 - 01/03/2020 10:28 PM - luke.murphey

Fixing print statements

Reference #2539

Revision 1018 - 01/03/2020 11:04 PM - luke.murphey

Python 3 compliance

Reference #2539

Revision 1029 - 01/03/2020 11:04 PM - luke.murphey

Python 3 compliance

Reference #2539

History

#1 - 12/24/2019 07:40 AM - Luke Murphey

- Target version changed from 3.1 to 3.2

#2 - 01/03/2020 10:30 PM - Luke Murphey

- Status changed from New to In Progress

#3 - 01/14/2020 05:50 AM - Luke Murphey

- Subject changed from Python 2 + 3 support to Python 3 support

#4 - 01/24/2020 05:24 AM - Luke Murphey

- Status changed from In Progress to Closed
